## junos-ruby-space-api

This program is used to interact with the Junos Space REST API, using Ruby. The following additional
gems are required:

- `rest-client`
- `nokogiri`
- `ipaddress`

These can all be installed by issuing `gem install <gem>` on the command line.

### Web Services Available

Here are the current web services available so far in this API:

*Platform*

- Audit Log Management
- Device Management
- Job Management

*Security Director*

- Address Management
- Device Management
- Service Management

Please see Juniper's documentation for the full release notes on the [Junos Space API][5], as well as
the [Security Director API][2].

I will be adding more functionality/web services soon, so please keep checking back!

### Documentation & Usage

Check out the [Wiki][1] for documentation on the different Classes and their respective methods.

### Examples

Check out the `examples` directory to browse through some samples of what this API can do!

### Credits

Thanks to [Jeremy Schulman][3] for inspiration and help with all the automation-goodness! And thanks
to [Juniper Networks][4] for creating such great products :)


[1]: https://github.com/scottdware/junos-ruby-space-api/wiki
[2]: http://www.juniper.net/techpubs/en_US/junos-space13.1/information-products/topic-collections/junos-space-security-designer/security-director-api.pdf
[3]: https://github.com/jeremyschulman
[4]: http://www.juniper.net
[5]: https://developer.juniper.net/shared/jdn/html/browserhelp/index.htm